local hbHealsIn={}
local xGUID=nil

function HealBot_IncHeals_retHealsIn(hbGUID)
    return hbHealsIn[hbGUID] or 0
end

function HealBot_IncHeals_updHealsIn(unit)
    if HealBot_Unit_Button[unit] then
        xGUID=HealBot_UnitGUID(unit)
        if xGUID then 
            hbHealsIn[xGUID]=UnitGetIncomingHeals(unit) 
            HealBot_RecalcHeals(xGUID)
        elseif hbHealsIn[xGUID] then
            hbHealsIn[xGUID]=nil
            HealBot_Action_ResetUnitStatus(unit)
        end
    end
end

function HealBot_IncHeals_ClearLocalArr(hbGUID)
    if hbHealsIn[hbGUID] then hbHealsIn[hbGUID]=nil end
end

function HealBot_IncHeals_ClearAll()
    for xGUID,_ in pairs(hbHealsIn) do
        hbHealsIn[xGUID]=nil
    end
end




